// Two Country
// Exogenous output


var A A_star Z Ygr_US Ygr_F C;
 
varexo EPS_A EPS_Astar EPS_Z ; 
 
parameters rhoA rhoAstar rhoZ
           gam_steady ;

model(linear); 
        
        // Useless equation
        C       = 0.5*C(+1) + A;
        
        // Exogenous shocks
        A        = rhoA*A(-1) + EPS_A;
        A_star   = rhoAstar*A_star(-1) + EPS_Astar;
        Z        = rhoZ*Z(-1) + EPS_Z;
        
        // Measurement equations
        Ygr_US = gam_steady + A - A(-1) + Z;
        Ygr_F  = gam_steady + A_star - A_star(-1) + Z;
        
end; 


estimated_params;

    // STARTING VALUES AND PRIORS

    
    rhoA,    0.86,1E-5,1,         BETA_PDF,0.5,0.2;
    rhoAstar,    0.97,1E-5,1,     BETA_PDF,0.5,0.2;

    rhoZ,    0.54,1E-5,1,         BETA_PDF,0.5,0.2;

    gam_steady,0.6,-5,5,          NORMAL_PDF,0,1;
   
    stderr EPS_A,2,1E-8,5,        INV_GAMMA_PDF,0.5,0.2;
    stderr EPS_Astar,0.5,1E-8,5,  INV_GAMMA_PDF,0.5,0.2;

    stderr EPS_Z,0.34,1E-8,5,     INV_GAMMA_PDF,1,0.5;


end;

varobs Ygr_US Ygr_F;

estimation(datafile=us_euro_predata,mode_compute=4,mh_replic=10000,mh_jscale=0.4);

// mode_compute=3
// load_mh_file
// nodiagnostic
// mode_file=MODEL1_mode
