'=====================================================================
' Data preparation for
'
' "A Bayesian Look at New Open Economy Macroeconomics"
' by Thomas	Lubik and Frank	Schorfheide
'
' Coded	for	EViews 4.1
' by Sungbae An
' Last Updated:	04/30/2005 
'=====================================================================

' set working directory	path
%path =	@runpath
' comment off line 13 if @runpath is not supported on your version of EViews
' elaborate in writing on your data directory, for example,
' %path = "d:\work\bnoe\data\"
cd "{%path}"

' create database
db {%path}bnoe_fred2_us

'--------------------------------------------------------------------
' Monthly data
'--------------------------------------------------------------------

' create a workfile
workfile bnoe_fred2_us m 1947:01 2005:12

' fred2_usCPIAUCSL.txt
read(skiprow=15,skipcol=1,d=s,mult) fred2_usCPIAUCSL.txt FRED2_US_CPIAUCSL

' fred2_usFEDFUNDS.txt
smpl 1954:07 @last
read(skiprow=12,skipcol=1,d=s,mult) fred2_usFEDFUNDS.txt FRED2_US_FEDFUNDS
smpl @all

' fred2_usPOP.txt
'smpl 1952:01 @last
smpl 1952:01 @last
read(skiprow=31,skipcol=1,d=s,mult) fred2_usPOP.txt FRED2_US_POP
smpl @all

' store into the database
store FRED2_US_CPIAUCSL FRED2_US_FEDFUNDS FRED2_US_POP

' close workfile
close bnoe_fred2_us

'--------------------------------------------------------------------
' Quarterly data
'--------------------------------------------------------------------

'create a workfile
workfile bnoe_fred2_us q 1947:1 2005:4

' fred2_usGDPDEF.txt
read(skiprow=13,skipcol=1,d=s,mult) fred2_usGDPDEF.txt FRED2_US_GDPDEF

' fred2_usGDPC96.txt
read(skiprow=13,skipcol=1,d=s,mult) fred2_usGDPC96.txt FRED2_US_GDPR

' fred2_usEXPGSC96.txt
read(skiprow=13,skipcol=1,d=s,mult) fred2_usEXPGSC96.txt FRED2_US_EXP

' fred2_usIMPGSC96.txt
read(skiprow=13,skipcol=1,d=s,mult) fred2_usIMPGSC96.txt FRED2_US_IMP

' fetch from the database
fetch FRED2_US_CPIAUCSL FRED2_US_FEDFUNDS FRED2_US_POP

' generate series
genr US_CPIINFL = 400*log(FRED2_US_CPIAUCSL/FRED2_US_CPIAUCSL(-1))
genr US_GDPDEFINFL = 400*log(FRED2_US_GDPDEF/FRED2_US_GDPDEF(-1))
genr US_GDPGR = 100*(log(FRED2_US_GDPR/FRED2_US_POP)-log(FRED2_US_GDPR(-1)/FRED2_US_POP(-1)))

' store into the database
store FRED2_US_GDPDEF FRED2_US_GDPR FRED2_US_EXP FRED2_US_IMP US_CPIINFL US_GDPDEFINFL US_GDPGR 

' save workfile
save
