'=====================================================================
' Data preparation for
'
' "A Bayesian Look at New Open Economy Macroeconomics"
' by Thomas	Lubik and Frank	Schorfheide
'
' Coded	for	EViews 4.1
' by Sungbae An
' Last Updated:	04/22/2005 
'=====================================================================

' set working directory	path
%path =	@runpath
' comment off line 13 if @runpath is not supported on your version of EViews
' elaborate in writing on your data directory, for example,
' %path = "d:\work\bnoe\data\"
cd "{%path}"

' create workfile
workfile us_pop a 1947 2005


'--------------------------------------------------------------------
' historic estimates: -1989
'--------------------------------------------------------------------

' open DRIBASIC database
db dribasic

' fetch population series
'	THE US RESIDENTIAL POPULATION PLUS ARMED FORCES OVERSEAS (3RD QUARTER/JULY ESTIMATES)
'	PAN17: age 16 years & over
'	PAN19: age 65 years & over
fetch pan17 pan19

' generate working age population
genr us_wpop = pan17 - pan19
genr us_wpop0 = us_wpop


'--------------------------------------------------------------------
' intercensal estimates: 1990-1999
'--------------------------------------------------------------------

' create temporary workfiles and import data
workfile us_pop1990 u 1000
read(t=txt,skiprow=1,d=c,mult) p1990.csv  year age population

' update with intercensal estimates for 1990-1999
for !i=0 to 9

	' sum across ages 16-64
	workfile us_pop1990
	genr p199{!i} = population*(year=199{!i})
	genr pop199{!i} = @sum(p199{!i})/1000

	' update
	workfile us_pop
	smpl 199{!i} 199{!i}
	genr us_wpop = us_pop1990::pop199{!i}

next

close us_pop1990


'--------------------------------------------------------------------
' postcensal estimates: 2000-2004
'--------------------------------------------------------------------

for !i=0 to 4

	' create temporary workfiles and import data
	workfile us_pop200{!i} u 100
	read(t=txt,skiprow=1,d=c,mult) p200{!i}.csv  month year age population

	' sum across ages 16-64
	genr wpop = @sum(population)/1000

	' update
	workfile us_pop
	smpl 200{!i} 200{!i}
	genr us_wpop = us_pop200{!i}::wpop

	' close workfile
	close us_pop200{!i}

next

smpl @all


'--------------------------------------------------------------------
' store in database
'--------------------------------------------------------------------

' set frequency conversion method: quadratic average
us_wpop.setconvert q

' open database
db {%path}..\bnoe_fred2_us
' store into the database
store US_WPOP

' save workfile
save
