/******************************************************************************
* LOADDATA.G
* reads time series data from ASCII data set into Gauss variable YY
*
* upadted:  03/09/2005
******************************************************************************/

/** There are 2 different datasets available **/
if datasel==1;          /** US_EURO **/
   load path = ^datapath YY[]= "us_euro.txt";
elseif datasel==2;      /** US_G10 **/
   load path = ^datapath YY[]= "us_g10.txt";
endif;

YY = reshape(YY,rows(YY)/7,7);
ti = seqa(1983,0.25,rows(YY));

/** For closed economy benchmark, trim the dataset **/
if msel[1]==1;             /** closed economy: US **/
   YY = YY[.,1:3];
elseif msel[1]==2;         /** closed economy: RoW **/
   YY = YY[.,4:6];
endif;

/** pick sub samples **/
if subT==1;             /** post-1987:3 **/
   subT0 = maxindc(ti.>=1987.5);
   subT1 = rows(YY);
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
endif;

if subT==2;  /** demeaned data, you have to modify the measurement equation by hand **/
   YY = YY - meanc(YY)';
endif;
