/******************************************************************************
* NOE_PMSV.G
* sets starting values to find posterior mode
*
* upadted:  03/08/2005
******************************************************************************/
proc (1) = noe_pmsv(msel);

local para,pnames,paratemp,
      theta_H,theta_F,theta_Hstar,theta_Fstar,tau,h,alp,eta,
      rhoR,psi1,psi2,psi3,rhoRstar,psi1star,psi2star,psi3star,
      rhoA,rhoAstar,rhog,rhogstar,rhoz,
      gam_steady,rr_steady,pi_steady,pi_steadystar,
      sigR,sigRstar,sigA,sigAstar,sigg,siggstar,sigz,sigedel,
      corr_RRstar;

theta_H       =  0.5;
theta_F       =  0.5;
theta_Hstar   =  0.5;
theta_Fstar   =  0.5;

tau           =  2.7;
h             =  0.3;
alp           =  0.1;
eta           =  1;

psi1          =  1.5;
psi2          =  0.5;
psi3          =  0.1;

psi1star      =  1.1;
psi2star      =  0.5;
psi3star      =  0.1;

rhoA          =  0.86;
rhoR          =  0.81;
rhog          =  0.96;

rhoAstar      =  0.97;
rhoRstar      =  0.82;
rhogstar      =  0.81;

rhoz          =  0.54;

rr_steady     =  0.5;
gam_steady    =  0.5;
pi_steady     =  3.33;
pi_steadystar =  4.2;

sigA          =  2;
sigg          =  0.6;
sigR          =  0.15;

sigAstar      =  0.5;
siggstar      =  0.7;
sigRstar      =  0.1;

sigz          =  0.34;
sigedel       =  4;

corr_RRstar   =  .0;

/********************************************************************
**      Parameter selection according to model
********************************************************************/
paratemp = theta_H|theta_F|theta_Hstar|theta_Fstar|tau|h|alp|eta|
           psi1|psi2|psi3|psi1star|psi2star|psi3star|
           rhoA|rhoR|rhog|rhoAstar|rhoRstar|rhogstar|rhoz|
           rr_steady|gam_steady|pi_steady|pi_steadystar|
           sigA|sigg|sigR|sigAstar|siggstar|sigRstar|sigz|sigedel|
           corr_RRstar;

{para,pnames} = noe_psel(paratemp,msel);

retp(para);
endp;
