/******************************************************************************
* NOE_PSEL.G
* selects parameters according to msel
*
* upadted:  03/10/2005
******************************************************************************/
proc (2) = noe_psel(para,msel);

local parasel,paranames;
/********************************************************************
**       Only parameter names needed:
*        missing value called for para
********************************************************************/
if ismiss(para);

   parasel = para;

   if msel[1]==0;
      paranames = { thH thF thH* thF* tau h alpha eta
                    psi1 psi2 psi3 psi1* psi2* psi3*
                    rhoA rhoR rhog rhoA* rhoR* rhog* rhoz
                    rrst gamst pist pist*
                    sigA sigg sigR sigA* sigg* sigR* sigz sigEd coRR* };
   elseif msel[1]>0;
      paranames = { th tau h psi1 psi2 rhoA rhoR rhog rhoz
                    rrst gamst pist sigA sigg sigR sigz };
   endif;

else;
/********************************************************************
**      Parameter selection according to model
********************************************************************/
   if rows(para)==34;

      if msel[1]==0;          /** open economy **/

         parasel    = para;
         paranames = { thH thF thH* thF* tau h alpha eta
                       psi1 psi2 psi3 psi1* psi2* psi3*
                       rhoA rhoR rhog rhoA* rhoR* rhog* rhoz
                       rrst gamst pist pist*
                       sigA sigg sigR sigA* sigg* sigR* sigz sigEd coRR* };

      elseif msel[1]>0;      /** closed economy **/

         parasel    = para[1 5 6 9 10 15 16 17 21 22 23 24 26 27 28 32,.];
         paranames = { th tau h psi1 psi2 rhoA rhoR rhog rhoz
                       rrst gamst pist sigA sigg sigR sigz };

      endif;

   elseif rows(para)==16;

      parasel    = para;
      paranames = { th tau h psi1 psi2 rhoA rhoR rhog rhoz
                    rrst gamst pist sigA sigg sigR sigz };

   else;

      "!! prior misspecified !!";

   endif;

endif;

retp(parasel,paranames);
endp;
