dlibrary -a PszTgSen,PsdTgSen;

msel = zeros(2,1);

msel[1] = 0;
msel[2] = 1;
datasel = 1;
subT    = 0;
mprior  = 5;


/**************************************
*  MSEL[1]:
*   0 for open economy
*   1 for US
*   2 for RoW
**************************************/

if msel[1]==0;
    lmodel = "o";
elseif msel[1]==1;
    lmodel = "us";
elseif msel[1]==2;
    lmodel = "row";
endif;

/**************************************
*  MSEL[2]:
*   1 benchmark, output growth rule
*   2 UIP shock
*   3 (unused)
**************************************/

lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);


/**************************************
*  DATASEL
*   1 for US_EURO
*   2 for US_G10
**************************************/

dataselstr = "d" $+ ftos(datasel,"%*.*lf",1,0);


/**************************************
*  subT
*   0 for full sample
*   1 for post-1987:3
**************************************/

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);


/**************************************
*  mprior
**************************************/

lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);


/**************************************
*  ngrid: number of grids for density
**************************************/
ngrid = 100;
