workpath = cdir(0);
priopath = workpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "\\prior";
postpath = workpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "\\post";
parapath = workpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "\\para";
resupath = workpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "\\results";
datapath = workpath $+ "\\data";

chkdir = chk_dir(priopath);
chkdir = chk_dir(postpath);
chkdir = chk_dir(parapath);
chkdir = chk_dir(datapath);
chkdir = chk_dir(resupath);


/*********************************************************
* Procedure: CHK_DIR
* checks if the 'path' directory exists, if not makes one.
* returns 0 when a directory is made, 1 when exists.
*********************************************************/
proc (1) = chk_dir(path);
local x, y, z, md;

x = cdir(0);
y = ChangeDir(path);

if y$=="";
    md = "md " $+ path;
    dos ^md;
    z = 0;
else;
    y = ChangeDir(x);
    z = 1;
endif;

retp(z);
endp;



/*********************************************************
* Procedure: EXIST
* checks if the 'file' exists.
* returns 1 if exists, 0 if not
*********************************************************/
proc exist(filename);

retp(not (filesa(filename) $== ""));
endp;
