/* filename:    paratab2.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

#include noe_spec.g;
#include pathspec.g;

npara = 56;


/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + vds
*/
inputfile_str = workpath $+ "\\o1p2d1t0\\results\\mhrun0\\o1p2d1t0vds"
             $| workpath $+ "\\o1p2d1t0\\results\\mhrun1\\o1p2d1t0vds"
             $| workpath $+ "\\o1p5d1t0\\results\\mhrun0\\o1p5d1t0vds"
             $| workpath $+ "\\o1p5d1t0\\results\\mhrun1\\o1p5d1t0vds";


/* Specify row names for table
*/
row_name =  "Monetary Policy    "      
         $| "Monetary Policy (*)"      
         $| "Stat Technology    "    
         $| "Stat Technology (*)"    
         $| "Gov Spending       "          
         $| "Gov Spending (*)   "  
         $| "World Technology   "            
         $| "PPP Shock          ";        
             
inputfile_n = rows(inputfile_str);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);


/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   post_mean[.,inputfile_ind] = readr(fhparas,1)';
   drawrow = seekr(fhparas,npara+3);
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = readr(fhparas,2)';

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;

/* Create table
*/
para_ind = 49;
do until para_ind > npara;

   tablerow = row_name[para_ind-48];

   inputfile_ind = 1;
   
   do until inputfile_ind > inputfile_n;

      tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,2) $+ "]";

                 
      inputfile_ind = inputfile_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
