function run

% import observations from
% EVIEWS ASCII export
% Range: 1983:I to 2002:IV = 80 observations
% Greenspan starts 1987:III, observation 18

dataset = importdata('c:\projects\active\nber\matlab\us_euro.txt',',');

Ygr_US = dataset(:,1);
INF_US = dataset(:,2);
R_US   = dataset(:,3);
Ygr_F  = dataset(:,4);
INF_F  = dataset(:,5);
R_F    = dataset(:,6);
E_del  = dataset(:,7);

ydata = [Ygr_US INF_US R_US Ygr_F INF_F R_F E_del];

T     = size(ydata,1); % overall sample size
T0    = 5;             % first observation in estimation sample (1983:I)
                       % not including observations to initialize lags
lags  = 4;
xdata = ones(T-T0+1+lags,1);  % includes observations that are used to initialize lags

breaks = [];

% set hyperparameters
lambda = 5;
mu     = 2;
mnprior.tight =  5;
mnprior.decay = .5;

s = std(ydata(1:T0-1,:));
vprior.sig = s;
vprior.w   = 1;

disp('Number of Observations');
size(ydata(T0-lags:end,:),1)

% run main file
% ydata includes observations to initialize the lags
mgnldnsty(ydata(T0-lags:end,:),lags,xdata,breaks,lambda,mu,mnprior,vprior)
